// C++-style terminal I/O
#include <iostream>
#include "Car.h"

#define GREEN 0

using namespace std; // everything in the "std" namespace is now available

int main() {
  Car c1(GREEN); // making an object on the stack

  cout << "Car 1 information----" << endl;
  cout << "Initial speed: " << c1.getSpeed() << endl;
  c1.accelerateTo(2.3);
  cout << "After acceleration: " << c1.getSpeed() << endl;
  c1.brake();
  cout << c1.getSpeed() << endl;
  
  cout << endl << endl;

  Car* c2 = new Car(GREEN); // making an object on the heap

  cout << "Car 2 information----" << endl;
  cout << "Initial speed: " << c2->getSpeed() << endl;
  c2->accelerateTo(15.5);
  cout << "After acceleration: " << c2->getSpeed() << endl;
  c2->brake();
  cout << c2->getSpeed() << endl;


  delete c2; // always be sure to delete

  return 0;
}
